
scoreboard players add erk.anientCity erk.time 1
execute if score erk.anientCity erk.time matches 6000.. run scoreboard players reset erk.anientCity erk.time
execute unless score erk.randomEvent erk.time matches 0.. store result score erk.randomEvent erk.time run random value 12000..18000

# mobs/entities
execute as @e[type=falling_block] at @s run function erkatom:mobs/falling_block/tick
execute as @e[type=skeleton,tag=!erk.changed] at @s run function erkatom:mobs/skeleton/bow
execute as @e[type=creeper,tag=!erk.changed] at @s run function erkatom:mobs/creeper/summon
execute as @e[type=chicken,tag=!erk.changed] at @s run function erkatom:mobs/chicken/size
execute as @e[type=#erkatom:fish,tag=!erk.changed] at @s run function erkatom:mobs/fish/upsidedown
execute as @e[type=ender_pearl,predicate=!erkatom:passenger_player] at @s run function erkatom:items/ender_pearl/tick
execute as @e[type=cow,nbt={HurtTime:10s}] at @s run function erkatom:mobs/cow/baloon
execute as @e[type=cow,scores={erk.num=0..}] at @s run function erkatom:mobs/cow/tick
execute as @e[type=sheep,tag=erk.just] at @s run function erkatom:mobs/sheep/just_tick

# player
execute as @a[predicate=!erkatom:have_skolioz] at @s run effect give @s unluck infinite 3 true
execute as @a[tag=erk.ableDash] at @s run function erkatom:tech/dash/tick
execute as @a[scores={erk.pumpkinTimer=1..},predicate=!erkatom:have_pumpkin] at @s run function erkatom:items/pumpkin/thrown
execute as @a[gamemode=!creative,predicate=erkatom:have_pumpkin] at @s run function erkatom:items/pumpkin/hold
execute as @a[tag=!erk.changed] at @s run function erkatom:tech/starter_pack
execute as @a[tag=!erk.solvedCaptcha] at @s run function erkatom:tech/captcha/tick
execute as @a[predicate=erkatom:press_shift,nbt={OnGround:1b}] at @s if block ~ ~-1 ~ obsidian run function erkatom:tech/break_obsidian
execute as @a[predicate=erkatom:press_space,nbt={OnGround:1b}] at @s if block ~ ~-1 ~ obsidian run setblock ~ ~ ~ fire replace
execute as @a at @s if items entity @s armor.* *[item_model="item/tigel"] run effect give @s invisibility 1 255 true

# random
execute if score erk.anientCity erk.time matches 1 as @r at @s positioned ~ ~75 ~ run function erkatom:structures/anicent_city

# events
execute as @a[scores={erk.coinflipTime=0..}] at @s run function erkatom:events/coinflip/tick
execute if score erk.nuclearAlert erk.time matches 0.. run function erkatom:events/nuclear_alert/tick
execute if score erk.meteorShower erk.time matches 0.. run function erkatom:events/meteor_shower/tick
execute if score erk.randomEvent erk.time matches 0.. run function erkatom:tech/events/tick
execute as @e[tag=erk.destroyingEnd] at @s run function erkatom:tech/end/tick
